Managed Data
Project-global managed-data revisions and uploads.
Operations
Each operation lists its specific responses. See Common error responses for errors shared by every operation on this page.
List project managed connections
GET /api/v1/projects/{project}/connections
Operation ID: listManagedConnections
Effect: read
Confirmation: never
Required privilege: VIEW_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Describe a project managed connection
GET /api/v1/projects/{project}/connections/{connection}
Operation ID: getManagedConnection
Effect: read
Confirmation: never
Required privilege: VIEW_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Get the active managed-data revision
GET /api/v1/projects/{project}/connections/{connection}/active-revision
Operation ID: getActiveManagedDataRevision
Effect: read
Confirmation: never
Required privilege: VIEW_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
List immutable managed-data revisions
GET /api/v1/projects/{project}/connections/{connection}/revisions
Operation ID: listManagedDataRevisions
Effect: read
Confirmation: never
Required privilege: VIEW_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Get an immutable managed-data revision
GET /api/v1/projects/{project}/connections/{connection}/revisions/{revision}
Operation ID: getManagedDataRevision
Effect: read
Confirmation: never
Required privilege: VIEW_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
revision |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
List managed-data upload sessions
GET /api/v1/projects/{project}/connections/{connection}/upload-sessions
Operation ID: listManagedDataUploadSessions
Effect: read
Confirmation: never
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Create a managed-data upload session from a canonical manifest
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions
Operation ID: createManagedDataUploadSession
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
Get a managed-data upload session
GET /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}
Operation ID: getManagedDataUploadSession
Effect: read
Confirmation: never
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Cancel a managed-data upload session
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/cancel
Operation ID: cancelManagedDataUploadSession
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
List or stream upload-session events
GET /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/events
Operation ID: listManagedDataUploadSessionEvents
Effect: read
Confirmation: never
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
accept |
header | No | string | |
Last-Event-ID |
header | No | string | |
limit |
query | No | integer | |
pageToken |
query | No | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Finalize a managed-data upload session
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/finalize
Operation ID: finalizeManagedDataUploadSession
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
202 |
The request has been accepted for processing, but processing has not yet completed. |
Create an S3 multipart upload for a session file
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/s3-multipart-uploads
Operation ID: createManagedDataS3MultipartUpload
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
Abort an S3 multipart upload
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/s3-multipart-uploads/{multipartUpload}/abort
Operation ID: abortManagedDataS3MultipartUpload
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
multipartUpload |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Complete an S3 multipart upload
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/s3-multipart-uploads/{multipartUpload}/complete
Operation ID: completeManagedDataS3MultipartUpload
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
multipartUpload |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Sign one S3 multipart upload part
POST /api/v1/projects/{project}/connections/{connection}/upload-sessions/{uploadSession}/s3-multipart-uploads/{multipartUpload}/parts/{partNumber}/sign
Operation ID: signManagedDataS3MultipartPart
Effect: write
Confirmation: conditional
Required privilege: INGEST_DATA
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
project |
path | Yes | string | |
connection |
path | Yes | string | |
uploadSession |
path | Yes | string | |
multipartUpload |
path | Yes | string | |
partNumber |
path | Yes | integer | |
Idempotency-Key |
header | Yes | string |
Request body
Content types: application/json.
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Common error responses
These error responses apply to every operation on this page.
| Status | Description |
|---|---|
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
412 |
Precondition failed. |
413 |
Client error |
415 |
Client error |
422 |
Client error |
429 |
Client error |
500 |
Server error |
502 |
Server error |
503 |
Service unavailable. |